public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/symengine/
Date: Sun, 14 Mar 2021 08:12:29 +0000 (UTC)	[thread overview]
Message-ID: <1615709491.bd92109810358865e4f5802287da1b4389107156.mgorny@gentoo> (raw)

commit:     bd92109810358865e4f5802287da1b4389107156
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 07:56:52 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 08:11:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd921098

dev-python/symengine: Bump to 0.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/symengine/Manifest               |  1 +
 dev-python/symengine/symengine-0.7.0.ebuild | 54 +++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/symengine/Manifest b/dev-python/symengine/Manifest
index 379c9eb98d9..9386cd32227 100644
--- a/dev-python/symengine/Manifest
+++ b/dev-python/symengine/Manifest
@@ -1 +1,2 @@
 DIST symengine.py-0.6.1.tar.gz 112123 BLAKE2B 3b55ddd834c7401a5a211e5e20bafbea68b172738c6388e72b1e6a6e62719e19f28356fb6156caa6cfbad59d051de45c0e103a89d675e3453136cc85e638f327 SHA512 09f452757e3c99dc9d896a322a07d58f57af6d57a9eaa615b9f4f3d834cfc91f6a79de955a36ad94bc30c962365272ef0afe401570583af49c015295ccd7c4ed
+DIST symengine.py-0.7.0.tar.gz 107575 BLAKE2B f3651d8ee0dee83184871a25fa8535802efead1912684d309e6ab6b63ada53af94146ddcee3df8f87530063991a1d6463d2b14799bb9622606ae5eb37792938f SHA512 73df1c9c678127d3a17e2434ad326793ea00f6c6774301d1da372a8a33f733593e873d98866d31315f22430b427fa76d5f1270b6b308a7473d9877a75db3aca4

diff --git a/dev-python/symengine/symengine-0.7.0.ebuild b/dev-python/symengine/symengine-0.7.0.ebuild
new file mode 100644
index 00000000000..6de666c67a5
--- /dev/null
+++ b/dev-python/symengine/symengine-0.7.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+MY_P=${PN}.py-${PV}
+DESCRIPTION="Python wrappers to the symengine C++ library"
+HOMEPAGE="https://github.com/symengine/symengine.py/"
+SRC_URI="
+	https://github.com/symengine/symengine.py/archive/v${PV}.tar.gz
+		-> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+	dev-util/cmake
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/sympy[${PYTHON_USEDEP}]
+	)
+"
+RDEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	>=sci-libs/symengine-0.6
+"
+
+distutils_enable_tests pytest
+
+# the C library installs the same docs
+DOCS=()
+
+src_prepare() {
+	default
+
+	# Don't install tests
+	> "${S}/symengine/tests/CMakeLists.txt" || die
+}
+
+python_test() {
+	cd "${BUILD_DIR}" || die
+	epytest
+}
+
+python_install() {
+	distutils-r1_python_install
+	python_optimize
+}


             reply	other threads:[~2021-03-14  8:12 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-14  8:12 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-02 16:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/symengine/ Michał Górny
2023-11-29 20:10 Arthur Zamarin
2023-11-29 19:38 Arthur Zamarin
2023-11-25 20:47 Sam James
2023-11-21 13:36 Michał Górny
2023-11-17  7:57 Michał Górny
2023-11-16 14:26 Michał Górny
2023-06-12 10:33 Sam James
2023-06-08  5:55 Michał Górny
2023-05-04 16:56 Michał Górny
2023-04-22 16:36 Michał Górny
2023-04-22 15:55 Arthur Zamarin
2023-04-22 15:55 Arthur Zamarin
2023-04-16 12:11 WANG Xuerui
2023-03-24  2:57 Sam James
2023-03-22  9:20 Sam James
2023-02-19 19:46 Michał Górny
2023-02-19 19:46 Michał Górny
2023-02-18  0:41 Sam James
2022-09-11 18:13 Sam James
2022-06-05  5:52 Michał Górny
2022-05-04  6:51 Agostino Sarubbo
2022-04-05  5:27 Agostino Sarubbo
2022-04-05  5:27 Agostino Sarubbo
2022-03-29  8:49 Yixun Lan
2022-03-28  6:51 Agostino Sarubbo
2022-03-27  6:27 Agostino Sarubbo
2022-03-15 22:17 Michał Górny
2022-02-22  5:40 Yixun Lan
2022-02-21  3:17 Sam James
2022-02-21  2:49 Sam James
2021-12-30 19:10 Arthur Zamarin
2021-12-30 19:04 Arthur Zamarin
2021-12-15 17:12 Andrew Ammerlaan
2021-12-14 19:52 Andrew Ammerlaan
2021-11-22  3:07 Yixun Lan
2021-05-04 13:59 Michał Górny
2021-05-04  7:03 Agostino Sarubbo
2021-04-30 15:23 Agostino Sarubbo
2021-03-27  7:49 Michał Górny
2020-10-27 19:58 Sam James
2020-10-27  5:11 Sam James
2020-09-18 15:53 Michał Górny
2020-08-31 15:35 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-30 23:18 Sam James
2020-08-02 19:05 Sam James
2020-08-02  6:46 Michał Górny
2020-08-02  6:46 Michał Górny
2020-03-22 12:12 Agostino Sarubbo
2020-03-19 21:56 David Seifert
2020-03-09 12:48 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-08 16:16 Andreas Sturmlechner
2020-03-08 16:02 Andreas Sturmlechner
2020-03-08 16:02 Andreas Sturmlechner
2020-03-08 16:02 Andreas Sturmlechner
2020-03-08 16:02 Andreas Sturmlechner
2020-01-16  6:05 Michał Górny
2019-12-28 11:57 罗百科
2017-07-26 20:07 Sebastien Fabbro
2017-07-26 20:07 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615709491.bd92109810358865e4f5802287da1b4389107156.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox